Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
From: James Seng <[email-masked]>
To: Mark Crispin <[email-masked]>
Cc: Abhijit Menon-Sen <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 30 Oct 2003 07:32:46 +0800
List-Id: <ietf-pop3ext.imc.org>

> I do not believe that this is true for Chinese.  AFAIK, Chinese primary
> school kids use Latin script with hanyu-pinyin as a stopgap prior to their
> mastery of Han script (which takes many years).

Nope. Hanyu Pinyin was designed to replace the Han ideograph but it 
never did.

> Note that when I say "recognize Latin script", I mean the ability to
> determine that "dog" is a three-letter word that has the letters "d", "o",
> and "g", each of which the individual recognizes and can name.  This does
> not include the ability to recognize that this refers to a domesticated
> canine.

Based on your reasonings, I think we should all reverted back to 
numbers, because that is the only universal recongizable set of symbols 
we have.

We have this argument in IDN before and we certainly dont need this 
again. If you feel we should all stick to Latin, yes, you are entitled 
to your opinion but please do so in other place, and not here. The group 
is suppose to work on Internationalization of Email address 
(identifiers), not debate whether we need it or not.

-James Seng

Date: Thu, 30 Oct 2003 07:26:28 +0800
From: James Seng <[email-masked]>
To: Mark Crispin <[email-masked]>
CC: Mark Davis <[email-masked]>, Keith Moore <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

Crispin,

You need to get out of US (or Wsshington) more often.

-James Seng

> I am not convinced that it is possible to use a computer on the Internet
> anywhere in the world without at least a basic acquaintance with Latin
> script.
> 
> I do not believe many individuals (other than primary school children) are
> literate in their native language but are completely illiterate in Latin
> script.  This does not mean "being able to read or write the English
> language"; rather, this simply means knowing the Latin script alphabet.
> 
> Put another way, individuals who are completely illiterate in Latin script
> are also likely to be illiterate in their native language script as well.
> 
> No other script on the planet has such international recognition.
> 
> There is undoubtably a *preference* for one's native script; and that
> preference should be respected as much as possible.
> 
> -- Mark --
> 
> http://staff.washington.edu/mrc
> Science does not emerge from voting, party politics, or public debate.
> Si vis pacem, para bellum.
> 
> 
> 
> 
> 

Content-class: urn:content-classes:message
Subject: RE: [idn] FYI: BOF on Internationalized Email Addresses (IEA)
Date: Wed, 29 Oct 2003 15:18:45 -0800
From: "Michel Suignard" <[email-masked]>
To: "James Seng" <[email-masked]>, =?iso-8859-1?Q?Patrik_F=E4ltstr=F6m?= <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, "Pete Resnick" <[email-masked]>, "Ted Hardie" <[email-masked]>, "Ned Freed" <[email-masked]>
Sender: [email-masked]

JS>I seen John and Paul proposal but I have not seen Michel. Is there a draft that I can read
JS>up? 

I don't have a proposal. I am listed there as a co-editor of the IRI spec which has a peripheral impact on the IEA (such as extending the URI mailto scheme). Like many I am listening with interest to the points made for or against the two proposals.

Michel Suignard

Date: Wed, 29 Oct 2003 16:50:39 +0100
To: Zefram <[email-masked]>
From: "J-F C. (Jefsey)  Morfin" <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Cc: Dave Crocker <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Sender: [email-masked]

On 10:31 28/10/03, Zefram said:
>I think the first task in this area should be to investigate the nature 
>and degree of desire for non-ASCII local parts.  This desire needs to be 
>weighed against the benefits we derive from writing all local parts in a 
>small, fixed alphabet (ASCII printables).

May I ask which part of the world you come from?

This being said only Americans want/are satisfied with "internationalized" 
(sic) names (the artificial extension of the American character set with 
most of the American foreign scripting, within an ascii frame). No one 
really wants multilingual names (a totally internationalized (sic) frame 
supporting languages and therefore some language oriented rules - at least 
ni management and user support). The users need vernacular support, that is 
to be able to freely do in the mail what they use to do elsewhere.

I note that for non-American writers "international names" means names that 
everyone from every nation will understand. It happens to be the ascii 
character set limited to the DNS used names (they were selected for that 
reason).
jfc

Date: Tue, 28 Oct 2003 17:41:55 -0800
To: [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
From: Paul Hoffman / IMC <[email-masked]>
Subject: Location of the IMAA list (was: RE: FYI: BOF on Internationalized Email Addresses (IEA))
Sender: [email-masked]

At 11:54 AM -0500 10/28/03, [email-masked] wrote:
>The BOF description lists [email-masked] as the
>discussion list, but this discussion is being
>cc:ed to [email-masked].  I'd suggest that you
>move this discussion to whichever of those lists
>is actually correct.

It is [email-masked], although because Patrik sent out the wrong 
address, I have made sure that both addresses work. An archive of the 
list, and links to the current versions of the drafts, can be found 
at <http://www.imc.org/ietf-imaa/>.

No more messages to all lists: that's what the IMAA list is for.

--Paul Hoffman, Director
--Internet Mail Consortium

From: [email-masked]
To: Mark Davis <[email-masked]>
Cc: Mark Crispin <[email-masked]>, Keith Moore <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA) 
Date: Tue, 28 Oct 2003 15:07:19 -0500
Sender: [email-masked]

--==_Exmh_-1503687178P
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

On Mon, 27 Oct 2003 17:39:32 PST, Mark Davis said:

> email addresses. Mr. Tanaka can have one with Latin letters and one wit=
h
> Japanese (e.g. =E3=83=A0=E3=83=AB=E3=82=AF@=E3=82=AB=E3=82=AF.=E3=83=AF=
=E3=82=B7=E3=83=B3=E3=82=B0=E3=83=88=E3=83=B3.=E3=82=A8=E3=83=87=E3=82=A5=
).

This gets interesting in the context of a "reply all".

Apologies for breaking the UTF-8 in the quote, but it's illustrative - if=
 the
breakage had been in the To/Cc lines, things would have broken even worse=

unless whatever scheme we end up using is ASCII-transparent.

--==_Exmh_-1503687178P
Content-Type: application/pgp-signature

--==_Exmh_-1503687178P--

Date: Tue, 28 Oct 2003 12:36:07 -0500
From: John C Klensin <[email-masked]>
To: Marc Blanchet <[email-masked]>, Mark Davis <[email-masked]>, Mark Crispin <[email-masked]>, Abhijit Menon-Sen <[email-masked]>
cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

--On Tuesday, October 28, 2003 11:12 -0500 Marc Blanchet
<[email-masked]> wrote:

> it appears to me that this thread is not very different from
> the idn considerations on usage of idn in the world. So what
> is really new in this discussion?

See the draft.

Quick answer: DNS interfaces really exist at the protocol level,
and a large part of the hypothesis behind IDNA was that it would
be possible, after we had enough implementations, to prevent an
end-user from ever seeing an encoded domain name.  That story
just doesn't hold for a special encoding-based (aka MUA-only)
email local part implementation, and maybe not for email
generally.  For example, under current rules, an MTA is required
to stuff the name it actually sees in HELO/EHLO and the MAIL
command into various headers.  If it is expected to notice that
they have special encodings and decodes them, we've gone rather
far into "the infrastructure is involved", even if the actual
on-the-wire transport is not impacted.  If it doesn't do that,
the encodings --both the IDNA domain parts and the special mail
encoding-- are going to be in the user's face, in the most
literal sense of that term.  

The similarity of that situation to the early IDN discussions is
the importance of the "what problem are you solving" question.
And it is very clear to me that, for email addresses, the answer
has got to "user sees their own characters in their email
addresses and the email addresses of those whose languages they
speak/ recognize.  Users typically don't actually see envelopes.
But seeing, e.g., different forms/codings of an address in the
header "From:" field than appears in "Return-path:" or than
appears in a signature line in the message body, is going to
create real unhappiness.  Similarly as has been pointed out in
another context, seeing an address in different from when it
appears in a header than when it (and that header) are
encapsulated in a message/?? body part is just not going to
amuse any user to whom we've said "ok, now you have i18n
strings, enjoy your new found local language capabilities".  And
I guess that tells you what I think the problem is that we need
to solve.  YMMD.

     john

To: Mark Davis <[email-masked]>
Cc: Mark Crispin <[email-masked]>, Keith Moore <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA) 
From: [email-masked]
Date: Tue, 28 Oct 2003 15:07:19 -0500
Sender: [email-masked]

--==_Exmh_-1503687178P
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable

On Mon, 27 Oct 2003 17:39:32 PST, Mark Davis said:

> email addresses. Mr. Tanaka can have one with Latin letters and one wit=
h
> Japanese (e.g. =E3=83=A0=E3=83=AB=E3=82=AF@=E3=82=AB=E3=82=AF.=E3=83=AF=
=E3=82=B7=E3=83=B3=E3=82=B0=E3=83=88=E3=83=B3.=E3=82=A8=E3=83=87=E3=82=A5=
).

This gets interesting in the context of a "reply all".

Apologies for breaking the UTF-8 in the quote, but it's illustrative - if=
 the
breakage had been in the To/Cc lines, things would have broken even worse=

unless whatever scheme we end up using is ASCII-transparent.

--==_Exmh_-1503687178P
Content-Type: application/pgp-signature

--==_Exmh_-1503687178P--

Date: Tue, 28 Oct 2003 12:36:07 -0500
From: John C Klensin <[email-masked]>
To: Marc Blanchet <[email-masked]>, Mark Davis <[email-masked]>, Mark Crispin <[email-masked]>, Abhijit Menon-Sen <[email-masked]>
cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

--On Tuesday, October 28, 2003 11:12 -0500 Marc Blanchet
<[email-masked]> wrote:

> it appears to me that this thread is not very different from
> the idn considerations on usage of idn in the world. So what
> is really new in this discussion?

See the draft.

Quick answer: DNS interfaces really exist at the protocol level,
and a large part of the hypothesis behind IDNA was that it would
be possible, after we had enough implementations, to prevent an
end-user from ever seeing an encoded domain name.  That story
just doesn't hold for a special encoding-based (aka MUA-only)
email local part implementation, and maybe not for email
generally.  For example, under current rules, an MTA is required
to stuff the name it actually sees in HELO/EHLO and the MAIL
command into various headers.  If it is expected to notice that
they have special encodings and decodes them, we've gone rather
far into "the infrastructure is involved", even if the actual
on-the-wire transport is not impacted.  If it doesn't do that,
the encodings --both the IDNA domain parts and the special mail
encoding-- are going to be in the user's face, in the most
literal sense of that term.  

The similarity of that situation to the early IDN discussions is
the importance of the "what problem are you solving" question.
And it is very clear to me that, for email addresses, the answer
has got to "user sees their own characters in their email
addresses and the email addresses of those whose languages they
speak/ recognize.  Users typically don't actually see envelopes.
But seeing, e.g., different forms/codings of an address in the
header "From:" field than appears in "Return-path:" or than
appears in a signature line in the message body, is going to
create real unhappiness.  Similarly as has been pointed out in
another context, seeing an address in different from when it
appears in a header than when it (and that header) are
encapsulated in a message/?? body part is just not going to
amuse any user to whom we've said "ok, now you have i18n
strings, enjoy your new found local language capabilities".  And
I guess that tells you what I think the problem is that we need
to solve.  YMMD.

     john

From: "Mark Davis" <[email-masked]>
To: "Marc Blanchet" <[email-masked]>, "Mark Crispin" <[email-masked]>, "Abhijit Menon-Sen" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Tue, 28 Oct 2003 08:22:37 -0800
Sender: [email-masked]

I wouldn't have thought so either, but at least some people questioned the need
for non-Latin characters, and went so far as to exclude them from a proposed
problem statement:

> ... There is a growing need to use additional
> characters, specifically Latin characters with diacriticals and non-Latin
> characters, in email addresses to better serve the needs of the
> multi-national Internet community...

Mark
__________________________________
http://www.macchiato.com
► शिष्यादिच्छेत्पराजयम् ◄

----- Original Message ----- 
From: "Marc Blanchet" <[email-masked]>
To: "Mark Davis" <[email-masked]>; "Mark Crispin"
<[email-masked]>; "Abhijit Menon-Sen" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>
Sent: Tue, 2003 Oct 28 08:12
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

>
> it appears to me that this thread is not very different from the idn
> considerations on usage of idn in the world. So what is really new in this
> discussion?
>
> Marc.
>
> -- Tuesday, October 28, 2003 07:10:59 -0800 Mark Davis
> <[email-masked]> wrote/a ecrit:
>
> >> > (I agree that it's currently nearly impossible to use computers if one
> >> > isn't familiar with the Latin script, of course.)
> >>
> >> Which probably makes the rest of this discussion academic, unless we're
> >> going to undertake solving *that* problem for Microsoft and the various
> >> UNIX/Linux vendors...
> >
> > It is currently impossible to use the Internet without knowing the Latin
> > script. However, the goal of most well-designed client software and
> > operating systems is to permit the user to work entirely within their
> > native language, with a fully localized system. This is reaching to India
> > and other countries; Microsoft has introduced fully localized versions of
> > Indic Windows just recently, and Linux vendors are hard at work to
> > produce fully localized versions of their software.
> >
> > Email and Web addresses are the big remaining holdouts for most people.
> > People should not be forced to use a script that they are unfamiliar
> > with, just to use email addresses and sites in their own countries. Even
> > if they are familiar with the Latin script, it is very often a very bad
> > match for their languages, making it very difficult to figure out how
> > native words would be spelled in it.
> >
> > Mark
> >
>
>
>
> ------------------------------------------
> Marc Blanchet
> Hexago
> tel: +1-418-266-5533x225
> ------------------------------------------
> http://www.freenet6.net: IPv6 connectivity
> ------------------------------------------
>

Date: Tue, 28 Oct 2003 11:12:54 -0500
From: Marc Blanchet <[email-masked]>
To: Mark Davis <[email-masked]>, Mark Crispin <[email-masked]>, Abhijit Menon-Sen <[email-masked]>
cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

it appears to me that this thread is not very different from the idn
considerations on usage of idn in the world. So what is really new in this
discussion?

Marc.

-- Tuesday, October 28, 2003 07:10:59 -0800 Mark Davis
<[email-masked]> wrote/a ecrit:

>> > (I agree that it's currently nearly impossible to use computers if one
>> > isn't familiar with the Latin script, of course.)
>> 
>> Which probably makes the rest of this discussion academic, unless we're
>> going to undertake solving *that* problem for Microsoft and the various
>> UNIX/Linux vendors...
> 
> It is currently impossible to use the Internet without knowing the Latin
> script. However, the goal of most well-designed client software and
> operating systems is to permit the user to work entirely within their
> native language, with a fully localized system. This is reaching to India
> and other countries; Microsoft has introduced fully localized versions of
> Indic Windows just recently, and Linux vendors are hard at work to
> produce fully localized versions of their software.
> 
> Email and Web addresses are the big remaining holdouts for most people.
> People should not be forced to use a script that they are unfamiliar
> with, just to use email addresses and sites in their own countries. Even
> if they are familiar with the Latin script, it is very often a very bad
> match for their languages, making it very difficult to figure out how
> native words would be spelled in it.
> 
> Mark
> 

------------------------------------------
Marc Blanchet
Hexago
tel: +1-418-266-5533x225
------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------

From: "Mark Davis" <[email-masked]>
To: "Mark Crispin" <[email-masked]>, "Abhijit Menon-Sen" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Tue, 28 Oct 2003 07:10:59 -0800
Sender: [email-masked]

> > (I agree that it's currently nearly impossible to use computers if one
> > isn't familiar with the Latin script, of course.)
>
> Which probably makes the rest of this discussion academic, unless we're
> going to undertake solving *that* problem for Microsoft and the various
> UNIX/Linux vendors...

It is currently impossible to use the Internet without knowing the Latin script.
However, the goal of most well-designed client software and operating systems is
to permit the user to work entirely within their native language, with a fully
localized system. This is reaching to India and other countries; Microsoft has
introduced fully localized versions of Indic Windows just recently, and Linux
vendors are hard at work to produce fully localized versions of their software.

Email and Web addresses are the big remaining holdouts for most people. People
should not be forced to use a script that they are unfamiliar with, just to use
email addresses and sites in their own countries. Even if they are familiar with
the Latin script, it is very often a very bad match for their languages, making
it very difficult to figure out how native words would be spelled in it.

Mark

From: "Mark Davis" <[email-masked]>
To: "Stephane Bortzmeyer" <[email-masked]>
Cc: "Mark Crispin" <[email-masked]>, "Keith Moore" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, "IMAP Extensions WG" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Tue, 28 Oct 2003 06:54:45 -0800
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_0068_01C39D20.5EDF9090
Content-Type: text/plain;
	charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Sigh. I used "Greek" in an analogy because I was hoping that some of the =
Latin-only folks out there would at least recognize the name of one =
other script. But how comforable would you really be, if =
=D9=8A=D9=8F=D9=8F =D9=88=D9=90=D8=B1=D9=90 =
=D9=81=D9=8F=D8=B1=D8=B3=D9=90=D8=AF =D8=AA=D9=8F =
=D8=B1=D9=8E=D9=90=D8=AF =D9=8E=D9=86 =
=D9=90=D9=86=D8=AA=D9=90=D8=B1=D9=90=D9=84=D9=8A =
=D8=AF=D9=90=D9=81=D9=81=D9=90=D8=B1=D9=90=D9=86=D8=AA =
=D8=B3=D9=83=D8=B1=D9=90=D9=BE=D8=AA=D8=8C =
=D8=B3=D9=90=D9=85=D9=BE=D9=84=D9=8A =D8=AA=D9=8F =
=D9=8F=D9=86=D8=AF=D9=90=D8=B1=D8=B3=D8=AA=D9=8E=D9=86=D8=AF =
=D9=90=D9=85=D9=8E=D9=90=D9=84 =
=D9=8E=D8=AF=D8=AF=D8=B1=D9=90=D8=B3=D8=B3=D9=90=D8=B3=D8=8C =
=D9=8E=D9=86=D8=AF =D9=8E =D8=B3=D9=83=D8=B1=D9=90=D9=BE=D8=AA =
=D8=AA=D9=87=D9=8E=D8=AA =D9=83=D9=8F=D9=8F=D9=84=D8=AF =
=D9=8F=D9=86=D9=84=D9=8A =
=D9=BE=D9=8E=D8=B1=D8=AA=D9=8E=D9=90=D9=84=D9=84=D9=8A =
=D8=B1=D9=90=D9=81=D9=84=D9=90=D9=83=D8=AA =D8=AA=D9=87=D9=90 =
=D8=B1=D9=8E=D9=90=D9=84 =
=D8=B3=D9=BE=D9=90=D9=84=D9=84=D9=90=D9=86=DA=AF =D9=8F=D9=81 =
=D9=8A=D9=8F=D9=8F=D8=B1 =D9=88=D9=8F=D8=B1=D8=AF=D8=B3?

Mark
__________________________________

=20
----- Original Message -----=20
From: "Stephane Bortzmeyer" <[email-masked]>
To: "Mark Davis" <[email-masked]>
Cc: "Mark Crispin" <[email-masked]>; "Keith Moore" =
<[email-masked]>; <[email-masked]>; <[email-masked]>; =
<[email-masked]>; <[email-masked]>; <[email-masked]>; =
<[email-masked]>; <[email-masked]>; <[email-masked]>; =
<[email-masked]>; "IMAP Extensions WG" <[email-masked]>; =
<[email-masked]>; <[email-masked]>; <[email-masked]>; =
<[email-masked]>
Sent: Tue, 2003 Oct 28 00:50
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses =
(IEA)

> On Mon, Oct 27, 2003 at 05:39:32PM -0800,
>  Mark Davis <[email-masked]> wrote=20
>  a message of 76 lines which said:
>=20
> > We should remember that for a great many people in the world, Latin =
letters are
> > quite unnatural; it'd be a bit like if we had to use Greek letters =
in all email
> > addresses.=20
>=20
> It would be a bit like if we had to use Greek letters in mathematics
> :-)
>=20
> 
------=_NextPart_000_0068_01C39D20.5EDF9090
Content-Type: text/html;
	charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

=EF=BB=BF<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=3DContent-Type content=3D"text/html; charset=3Dutf-8">
<META content=3D"MSHTML 6.00.2800.1264" name=3DGENERATOR>
<STYLE></STYLE>
</HEAD>
<BODY>
<DIV><FONT face=3D"Times New Roman">Sigh. I used "Greek" in an analogy =
because I=20
was hoping that some of the Latin-only folks out there would at least=20
recognize&nbsp;the name of one&nbsp;other script. But how comforable =
would you=20
really be, if =D9=8A=D9=8F=D9=8F =D9=88=D9=90=D8=B1=D9=90 =
=D9=81=D9=8F=D8=B1=D8=B3=D9=90=D8=AF =D8=AA=D9=8F =
=D8=B1=D9=8E=D9=90=D8=AF =D9=8E=D9=86 =
=D9=90=D9=86=D8=AA=D9=90=D8=B1=D9=90=D9=84=D9=8A =
=D8=AF=D9=90=D9=81=D9=81=D9=90=D8=B1=D9=90=D9=86=D8=AA =
=D8=B3=D9=83=D8=B1=D9=90=D9=BE=D8=AA=D8=8C =
=D8=B3=D9=90=D9=85=D9=BE=D9=84=D9=8A =D8=AA=D9=8F=20
=D9=8F=D9=86=D8=AF=D9=90=D8=B1=D8=B3=D8=AA=D9=8E=D9=86=D8=AF =
=D9=90=D9=85=D9=8E=D9=90=D9=84 =
=D9=8E=D8=AF=D8=AF=D8=B1=D9=90=D8=B3=D8=B3=D9=90=D8=B3=D8=8C =
=D9=8E=D9=86=D8=AF =D9=8E =D8=B3=D9=83=D8=B1=D9=90=D9=BE=D8=AA =
=D8=AA=D9=87=D9=8E=D8=AA =D9=83=D9=8F=D9=8F=D9=84=D8=AF =
=D9=8F=D9=86=D9=84=D9=8A =
=D9=BE=D9=8E=D8=B1=D8=AA=D9=8E=D9=90=D9=84=D9=84=D9=8A =
=D8=B1=D9=90=D9=81=D9=84=D9=90=D9=83=D8=AA =D8=AA=D9=87=D9=90=20
=D8=B1=D9=8E=D9=90=D9=84 =
=D8=B3=D9=BE=D9=90=D9=84=D9=84=D9=90=D9=86=DA=AF =D9=8F=D9=81 =
=D9=8A=D9=8F=D9=8F=D8=B1 =D9=88=D9=8F=D8=B1=D8=AF=D8=B3?</FONT></DIV>
<DIV><BR><FONT=20
size=3D2>Mark<BR>__________________________________<BR><BR>&nbsp;</FONT><=
/DIV>
<DIV><FONT size=3D2>----- Original Message ----- </FONT>
<DIV><FONT size=3D2>From: "Stephane Bortzmeyer" &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT =
size=3D2>[email-masked]</FONT></A><FONT=20
size=3D2>&gt;</FONT></DIV>
<DIV><FONT size=3D2>To: "Mark Davis" &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;</FONT></DIV>
<DIV><FONT size=3D2>Cc: "Mark Crispin" &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; "Keith =
Moore"=20
&lt;</FONT><A href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; =
&lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT =
size=3D2>[email-masked]</FONT></A><FONT=20
size=3D2>&gt;; &lt;</FONT><A href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT =
size=3D2>[email-masked]</FONT></A><FONT=20
size=3D2>&gt;; &lt;</FONT><A href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT =
size=3D2>[email-masked]</FONT></A><FONT=20
size=3D2>&gt;; &lt;</FONT><A href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; =
&lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT =
size=3D2>[email-masked]</FONT></A><FONT=20
size=3D2>&gt;; &lt;</FONT><A href=3D"mailto:[email-masked]"><FONT =

size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; "IMAP =
Extensions WG"=20
&lt;</FONT><A href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; =
&lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT =
size=3D2>[email-masked]</FONT></A><FONT=20
size=3D2>&gt;; &lt;</FONT><A href=3D"mailto:[email-masked]"><FONT =

size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; =
&lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt;; =
&lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT =
size=3D2>&gt;</FONT></DIV>
<DIV><FONT size=3D2>Sent: Tue, 2003 Oct 28 00:50</FONT></DIV>
<DIV><FONT size=3D2>Subject: Re: [idn] Re: FYI: BOF on Internationalized =
Email=20
Addresses (IEA)</FONT></DIV></DIV>
<DIV><FONT size=3D2><BR></FONT></DIV><FONT size=3D2>&gt; On Mon, Oct 27, =
2003 at=20
05:39:32PM -0800,<BR>&gt; &nbsp;Mark Davis &lt;</FONT><A=20
href=3D"mailto:[email-masked]"><FONT=20
size=3D2>[email-masked]</FONT></A><FONT size=3D2>&gt; wrote =
<BR>&gt; &nbsp;a=20
message of 76 lines which said:<BR>&gt; <BR>&gt; &gt; We should remember =
that=20
for a great many people in the world, Latin letters are<BR>&gt; &gt; =
quite=20
unnatural; it'd be a bit like if we had to use Greek letters in all=20
email<BR>&gt; &gt; addresses. <BR>&gt; <BR>&gt; It would be a bit like =
if we had=20
to use Greek letters in mathematics<BR>&gt; :-)<BR>&gt; <BR>&gt;=20
</FONT></BODY></HTML>

------=_NextPart_000_0068_01C39D20.5EDF9090--

From: "Madan Ganesh Velayudham" <[email-masked]>
To: "'Mark Davis'" <[email-masked]>, "'Mark Crispin'" <[email-masked]>, "'Keith Moore'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: RE: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Tue, 28 Oct 2003 20:13:42 +0530
Organization: Hewlett-Packard STSD
Importance: Normal
Sender: [email-masked]

> I'm curious: why do you think that everyone would be 
> satisfied with Latin characters only, and no non-Latin characters?
> 
> Mark
> __________________________________
> http://www.macchiato.com
> ► शिष्यादिच्छेत्पराजयम् ◄

Yes, I also agree. Especially in India, we have more than 10 Languages ( Hindi, Tamil, Telugu, Kannada, Malayalam, etc., )

From: Arnt Gulbrandsen <[email-masked]>
To: Mark Crispin <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Cc: [email-masked], [email-masked], IETF RFC-822 list <[email-masked]>, IMAA list <[email-masked]>, IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], Abhijit Menon-Sen <[email-masked]>, [email-masked], IETF/IDN WG <[email-masked]>
Date: Tue, 28 Oct 2003 11:15:17 +0100
Sender: [email-masked]

Mark Crispin writes:
> On Tue, 28 Oct 2003, Abhijit Menon-Sen wrote:
>> (I agree that it's currently nearly impossible to use computers if 
>> one isn't familiar with the Latin script, of course.)
>
> Which probably makes the rest of this discussion academic, unless 
> we're going to undertake solving *that* problem for Microsoft and the 
> various UNIX/Linux vendors...

You're not appreciating the full complexity of the problem. ;)

Not only should the email standards permit MUAs and MTAs of the year 
2020 to solve the problem Abhijit mentions, but they should even permit 
such future programs to interoperate with latinate ones of the present 
and near future. And if it's too hard for latinate MUAs to implement 
the IEA standard, that won't happen.

--Arnt

Date: Tue, 28 Oct 2003 01:13:50 -0800
From: Dave Crocker <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: Pete Resnick <[email-masked]>
CC: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, Dave Crocker <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

Pete,

>>RB> Restricting the disucssion to local-parts runs the risk of excluding
>>RB> other potentially relevent issues.
PR> I agree. Limiting discussion at this point to local-part does not
PR> take into account some of the possibilities.

That was exactly the intent of the text.

We have already seen how nicely the text served to bring into pretty stark
relief one bit of expectation from one of the proposals. It is only fitting to
have it serve the same purpose for another one.

IETF BOF time is pretty lousy for an open-ended chat.  Having specifications
to chat about is only marginally better than not having them.

What makes the real difference is having serious focus to the meeting. If we
go into this meeting without even having a clear sense of the scope of the
problem to be tackled, then the chance of having a productive meeting is
pretty small.

At the moment, it appears that the focus of the meeting is likely to be:
Shall we break existing Internet mail or shall we lay an enhancement on top of
it that preserves the installed base.  (I'm sure that everyone else who was
present at the pre-MIME/ESMTP discussions is really looking forward to
repeating the experience.)

d/
--
 Dave Crocker <dcrocker-at-brandenburg-dot-com>
 Brandenburg InternetWorking <www.brandenburg.com>
 Sunnyvale, CA  USA <tel:+1.408.246.8253>

Date: Tue, 28 Oct 2003 09:50:23 +0100
From: Stephane Bortzmeyer <[email-masked]>
To: Mark Davis <[email-masked]>
Cc: Mark Crispin <[email-masked]>, Keith Moore <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Organization: NIC France
Sender: [email-masked]

On Mon, Oct 27, 2003 at 05:39:32PM -0800,
 Mark Davis <[email-masked]> wrote 
 a message of 76 lines which said:

> We should remember that for a great many people in the world, Latin letters are
> quite unnatural; it'd be a bit like if we had to use Greek letters in all email
> addresses. 

It would be a bit like if we had to use Greek letters in mathematics
:-)

Date: Tue, 28 Oct 2003 01:20:58 -0600
To: [email-masked]
From: Pete Resnick <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Cc: Roy Badami <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, Dave Crocker <[email-masked]>
Sender: [email-masked]

On 10/27/03 at 6:42 PM -0800, Dave Crocker wrote:

>RB> Even though, given IDNA now exists as a proposed standard, the main
>RB> issues relate to the local part, the issue under discussion is that of
>RB> internationalized mail addresses, not just internationalized
>RB> local-parts.
>
>Really?  What work needs to be done, except for local part?  IDNA takes care
>of the right-hand side.

Please review John Klensin's draft before making these kinds of assumptions.

>RB> Restricting the disucssion to local-parts runs the risk of excluding
>RB> other potentially relevent issues.

I agree. Limiting discussion at this point to local-part does not 
take into account some of the possibilities.

pr
-- 
Pete Resnick <http://wwww.qualcomm.com/~presnick/>
QUALCOMM Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Mon, 27 Oct 2003 20:42:19 -0800 (Pacific Standard Time)
From: Mark Crispin <[email-masked]>
To: Abhijit Menon-Sen <[email-masked]>
cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Organization: Networks & Distributed Computing
Sender: [email-masked]

On Tue, 28 Oct 2003, Abhijit Menon-Sen wrote:
> The number of people in India who can read and write only their native
> language, but have no usable knowledge of Latin script, is much larger
> than the tiny number who are familiar with both. I'm told that this is
> true for many native speakers of Chinese and Arabic as well.

I defer to your superior knowledge about India.

I do not believe that this is true for Chinese.  AFAIK, Chinese primary
school kids use Latin script with hanyu-pinyin as a stopgap prior to their
mastery of Han script (which takes many years).

> The use of local scripts is much more than just a "preference" for the
> numerous localisation efforts in India which focus on making computing
> more accessible to poor farmers and people in villages.

A poor farmer or villager in China is more likely to be totally illiterate
than to be literate in Han script but unable to recognize Latin script.

Note that when I say "recognize Latin script", I mean the ability to
determine that "dog" is a three-letter word that has the letters "d", "o",
and "g", each of which the individual recognizes and can name.  This does
not include the ability to recognize that this refers to a domesticated
canine.

> (I agree that it's currently nearly impossible to use computers if one
> isn't familiar with the Latin script, of course.)

Which probably makes the rest of this discussion academic, unless we're
going to undertake solving *that* problem for Microsoft and the various
UNIX/Linux vendors...

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Tue, 28 Oct 2003 09:52:43 +0530
From: Abhijit Menon-Sen <[email-masked]>
To: Mark Crispin <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

At 2003-10-27 19:37:37 -0800, [email-masked] wrote:
>
> I do not believe many individuals (other than primary school children) are
> literate in their native language but are completely illiterate in Latin
> script.  This does not mean "being able to read or write the English
> language"; rather, this simply means knowing the Latin script alphabet.

Mark,

The number of people in India who can read and write only their native
language, but have no usable knowledge of Latin script, is much larger
than the tiny number who are familiar with both. I'm told that this is
true for many native speakers of Chinese and Arabic as well.

The use of local scripts is much more than just a "preference" for the
numerous localisation efforts in India which focus on making computing
more accessible to poor farmers and people in villages.

(I agree that it's currently nearly impossible to use computers if one
isn't familiar with the Latin script, of course.)

-- ams

Date: Mon, 27 Oct 2003 19:37:37 -0800 (Pacific Standard Time)
From: Mark Crispin <[email-masked]>
To: Mark Davis <[email-masked]>
cc: Keith Moore <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Organization: Networks & Distributed Computing
Sender: [email-masked]

On Mon, 27 Oct 2003, Mark Davis wrote:
> Based on what I've seen, I think it quite likely that people will want email
> addresses in their native script, even if that means that outsiders can't
> (easily) use those email address.

That may well be the case.

> We should remember that for a great many people in the world, Latin
> letters are quite unnatural; it'd be a bit like if we had to use Greek
> letters in all email addresses. And there are many projects underway in
> less-developed countries to bring computers to masses of people that
> will even less familiarity with Latin letters.

I am not convinced that it is possible to use a computer on the Internet
anywhere in the world without at least a basic acquaintance with Latin
script.

I do not believe many individuals (other than primary school children) are
literate in their native language but are completely illiterate in Latin
script.  This does not mean "being able to read or write the English
language"; rather, this simply means knowing the Latin script alphabet.

Put another way, individuals who are completely illiterate in Latin script
are also likely to be illiterate in their native language script as well.

No other script on the planet has such international recognition.

There is undoubtably a *preference* for one's native script; and that
preference should be respected as much as possible.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Mon, 27 Oct 2003 18:42:26 -0800
From: Dave Crocker <[email-masked]>
Reply-To: [email-masked]
Organization: Brandenburg InternetWorking
To: Roy Badami <[email-masked]>
CC: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

Roy,

 >> Mail Internationalised Local-Part (MILP)

RB> Even though, given IDNA now exists as a proposed standard, the main
RB> issues relate to the local part, the issue under discussion is that of
RB> internationalized mail addresses, not just internationalized
RB> local-parts.

Really?  What work needs to be done, except for local part?  IDNA takes care
of the right-hand side.

So what is there to do about "internationalized mail addresses" other than the
local part?

RB> Restricting the disucssion to local-parts runs the risk of excluding
RB> other potentially relevent issues.  For instance, one of the issues
RB> that has been discussed on the IMAA list is whether full-width at
RB> should be recognized in an internationalized mail address.

full-width _where_?  somewhere other than local part?

if yes, then how can that be practical?  if no, then the charter does not
preclude their use.  (if you think otherwise, please explain.)

d/
--
 Dave Crocker <dcrocker-at-brandenburg-dot-com>
 Brandenburg InternetWorking <www.brandenburg.com>
 Sunnyvale, CA  USA <tel:+1.408.246.8253>

From: "Mark Davis" <[email-masked]>
To: "Mark Crispin" <[email-masked]>
Cc: "Keith Moore" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, "IMAP Extensions WG" <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Mon, 27 Oct 2003 17:39:32 -0800
Sender: [email-masked]

Ok, I understand more about the context.

Based on what I've seen, I think it quite likely that people will want email
addresses in their native script, even if that means that outsiders can't
(easily) use those email address. After all, it is quite easy to have multiple
email addresses. Mr. Tanaka can have one with Latin letters and one with
Japanese (e.g. [email-masked]).

We should remember that for a great many people in the world, Latin letters are
quite unnatural; it'd be a bit like if we had to use Greek letters in all email
addresses. And there are many projects underway in less-developed countries to
bring computers to masses of people that will even less familiarity with Latin
letters.

Mark
__________________________________
http://www.macchiato.com
► शिष्यादिच्छेत्पराजयम् ◄

----- Original Message ----- 
From: "Mark Crispin" <[email-masked]>
To: "Mark Davis" <[email-masked]>
Cc: "Keith Moore" <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; "IMAP Extensions WG" <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Mon, 2003 Oct 27 17:15
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

> On Mon, 27 Oct 2003, Mark Davis wrote:
> > I'm curious: why do you think that everyone would be satisfied with Latin
> > characters only, and no non-Latin characters?
>
> I didn't say that.  I stated my belief that, for reasons of practicality,
> most individuals in regions which do not use Latin script accept the use
> of Latin script for multinational exchange.
>
> It does not work well for an individual in Japan with surname Tanaka to
> expect the overwhelming majority of non-Japanese individuals worldwide to
> know his surname is written with the Han characters for "rice paddy" and
> "middle", or what those characters look like, or how to enter those
> characters on the computer.
>
> It does, however, work for him to expect that the overwhelming majority of
> individuals worldwide to know how to deal with the 6 Latin letters that
> form the romanization "Tanaka".
>
> Nor is it very likely that this situation will change in the future.  I
> doubt that many individuals in the world are literate in all the world's
> active scripts.  Literacy in one's native script and basic Latin script is
> something that most computer users possess today.
>
> For domestic exchange only, that pair of Han characters are probably
> alright.  Within Western Europe, it's probably alright to use Latin
> characters with diacriticals.
>
> Perhaps the main problem that needs to be decided in any IEA effort is if
> it is alright to have email addresses that are only usable in limited
> areas of the world; or if not, how to represent internationalized email
> addresses in a usable fashion when (not if) the email address needs to be
> represented for a person and/or computer is illiterate in that script.
>
> A likely side issue is whether it is "good enough" to promote Latin
> characters with diacriticals to the same status of "everybody must know
> how to do these" that is required for ASCII.
>
> -- Mark --
>
> http://staff.washington.edu/mrc
> Science does not emerge from voting, party politics, or public debate.
> Si vis pacem, para bellum.
>

Date: Mon, 27 Oct 2003 17:15:00 -0800 (Pacific Standard Time)
From: Mark Crispin <[email-masked]>
To: Mark Davis <[email-masked]>
cc: Keith Moore <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], IMAP Extensions WG <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Organization: Networks & Distributed Computing
Sender: [email-masked]

On Mon, 27 Oct 2003, Mark Davis wrote:
> I'm curious: why do you think that everyone would be satisfied with Latin
> characters only, and no non-Latin characters?

I didn't say that.  I stated my belief that, for reasons of practicality,
most individuals in regions which do not use Latin script accept the use
of Latin script for multinational exchange.

It does not work well for an individual in Japan with surname Tanaka to
expect the overwhelming majority of non-Japanese individuals worldwide to
know his surname is written with the Han characters for "rice paddy" and
"middle", or what those characters look like, or how to enter those
characters on the computer.

It does, however, work for him to expect that the overwhelming majority of
individuals worldwide to know how to deal with the 6 Latin letters that
form the romanization "Tanaka".

Nor is it very likely that this situation will change in the future.  I
doubt that many individuals in the world are literate in all the world's
active scripts.  Literacy in one's native script and basic Latin script is
something that most computer users possess today.

For domestic exchange only, that pair of Han characters are probably
alright.  Within Western Europe, it's probably alright to use Latin
characters with diacriticals.

Perhaps the main problem that needs to be decided in any IEA effort is if
it is alright to have email addresses that are only usable in limited
areas of the world; or if not, how to represent internationalized email
addresses in a usable fashion when (not if) the email address needs to be
represented for a person and/or computer is illiterate in that script.

A likely side issue is whether it is "good enough" to promote Latin
characters with diacriticals to the same status of "everybody must know
how to do these" that is required for ASCII.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Mon, 27 Oct 2003 20:08:25 -0500
From: Marc Blanchet <[email-masked]>
To: Dave Crocker <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

- good start!
- timeline seems pretty agressive... will see.
- would probably good to have a requirement document upfront. Might not the
same way that idn requirement ends up, but a narrow-implementable
requirement would help to have a concensus (hopefully) on what needs to be
done. 
- while the idn req went not that good, now that we have experience, I
think we should try to be better and have one.

I know I might start some debate with this, but still think it is the best
way to go...

- would be useful to have some reference to idn (idna) in the charter, as
background work. the developers and users will have to take care of "both"
(ie. idn and imail) in the email infrastructure.

Marc.

-- Monday, October 27, 2003 16:19:25 -0800 Dave Crocker <[email-masked]>
wrote/a ecrit:

> Folks,
> 
> On the theory that discussions go better when they have a concrete
> deliverable, here is a proposed charter for a proposed working group.
> 
> The following started with Mark Crispin's text, although it might not
> look it. Besides the usual goals for a charter, the following text
> attempts to specify the problem domain in the narrowest feasible form
> that is valid. If anyone thinks the scope is too narrow, they need to
> explain why.
> 
> 
> 
> DRAFT CHARTER
> 
> Mail Internationalised Local-Part (MILP)
> ---------------------------------
> 
> The <local-part> portion of RFC2822 and <Local-part> portion of RFC2821
> mail addresses are restricted to a subset of ASCII. This poses a
> fundamental barrier for users needing mail addresses to be expressed in a
> richer set of characters, such as Latin characters with diacriticals and
> the many Asian characters. The goal of the current work is to add
> local-part support for these additional characters, while preserving the
> large, installed base of ASCII usage.
> 
> The group will take:
> 
>    draft-hoffman-imaa-03.txt
>    draft-klensin-emailaddr-i18n-01.txt
>    draft-duerst-iri-04.txt
> 
> as input to discussions.
> 
> The group will pay particular attention to barriers to adoption and
> utility, as well as any impact the new scheme might have on the existing
> base of Internet mail usage.
> 
> 
> Milestones
> ----------
> 
> Nov, 03:  BOF
> 
> Dec, 03:  WG chartered
> 
> Feb, 03:  Initial draft of working group specifications.
> 
> Jun, 03:  Specifications submitted for IETF approval
> 
> 
> d/
> --
>  Dave Crocker <dcrocker-at-brandenburg-dot-com>
>  Brandenburg InternetWorking <www.brandenburg.com>
>  Sunnyvale, CA  USA <tel:+1.408.246.8253>
> 

------------------------------------------
Marc Blanchet
Hexago
tel: +1-418-266-5533x225
------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------

Date: Tue, 28 Oct 2003 00:50:53 +0000
To: Dave Crocker <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
From: Roy Badami <[email-masked]>
Sender: [email-masked]

 > Mail Internationalised Local-Part (MILP)

Even though, given IDNA now exists as a proposed standard, the main
issues relate to the local part, the issue under discussion is that of
internationalized mail addresses, not just internationalized
local-parts.

Restricting the disucssion to local-parts runs the risk of excluding
other potentially relevent issues.  For instance, one of the issues
that has been discussed on the IMAA list is whether full-width at
should be recognized in an internationalized mail address.  IMHO, the
charter shouldn't be framed in a way that is sufficiently narrow as to
render such questions out of scope.

	-roy

Date: Mon, 27 Oct 2003 16:19:25 -0800
From: Dave Crocker <[email-masked]>
Reply-To: Dave Crocker <[email-masked]>
Organization: Brandenburg InternetWorking
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

Folks,

On the theory that discussions go better when they have a concrete
deliverable, here is a proposed charter for a proposed working group.

The following started with Mark Crispin's text, although it might not look it.
Besides the usual goals for a charter, the following text attempts to specify
the problem domain in the narrowest feasible form that is valid. If anyone
thinks the scope is too narrow, they need to explain why.

DRAFT CHARTER

Mail Internationalised Local-Part (MILP)
---------------------------------

The <local-part> portion of RFC2822 and <Local-part> portion of RFC2821 mail
addresses are restricted to a subset of ASCII. This poses a fundamental
barrier for users needing mail addresses to be expressed in a richer set of
characters, such as Latin characters with diacriticals and the many Asian
characters. The goal of the current work is to add local-part support for
these additional characters, while preserving the large, installed base of
ASCII usage.

The group will take:

   draft-hoffman-imaa-03.txt
   draft-klensin-emailaddr-i18n-01.txt
   draft-duerst-iri-04.txt

as input to discussions.

The group will pay particular attention to barriers to adoption and utility,
as well as any impact the new scheme might have on the existing base of
Internet mail usage.

Milestones
----------

Nov, 03:  BOF

Dec, 03:  WG chartered

Feb, 03:  Initial draft of working group specifications.

Jun, 03:  Specifications submitted for IETF approval

d/
--
 Dave Crocker <dcrocker-at-brandenburg-dot-com>
 Brandenburg InternetWorking <www.brandenburg.com>
 Sunnyvale, CA  USA <tel:+1.408.246.8253>

From: "Mark Davis" <[email-masked]>
To: "Mark Crispin" <[email-masked]>, "Keith Moore" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: Re: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Mon, 27 Oct 2003 16:16:20 -0800
Sender: [email-masked]

I'm curious: why do you think that everyone would be satisfied with Latin
characters only, and no non-Latin characters?

Mark
__________________________________
http://www.macchiato.com
► शिष्यादिच्छेत्पराजयम् ◄

----- Original Message ----- 
From: "Mark Crispin" <[email-masked]>
To: "Keith Moore" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>; <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Mon, 2003 Oct 27 11:10
Subject: [idn] Re: FYI: BOF on Internationalized Email Addresses (IEA)

> On Mon, 27 Oct 2003, Keith Moore wrote:
>
>  >> Thanks for taking a stab at a problem statement.  I'd like to drill down
>  >> on this just a bit.
>  >> What is the source of the "growing need"?  Is it:
>  >> [snip]
>
>
> I agree that this needs to be stated, but someone other than me will have
> to do it.
>
> I believe that the primary push for this functionality comes from regions
> which use Latin alphabetics with diacriticals; and that most individuals
> in regions which do not use Latin script are accept the use of Latin
> script for multinational interchange.  In many regions where Latin
> diacriticals are used, there is no acceptable transform of a surname to a
> form that does not use diacriticals.  Simply omitting the diacritical
> causes (at least to the inhabitants of those regions) a misspelling.
>
> This set of beliefs naturally biases how I approach the problem.  The
> problem statement must be free of bias, including mine.
>
> -- Mark --
>
> http://staff.washington.edu/mrc
> Science does not emerge from voting, party politics, or public debate.
> Si vis pacem, para bellum.
>
>
>
>
>
>
>
>

Date: Mon, 27 Oct 2003 19:07:09 +0800
From: James Seng <[email-masked]>
To: =?ISO-8859-1?Q?Patrik_F=E4ltstr=F6m?= <[email-masked]>
CC: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], Pete Resnick <[email-masked]>, Ted Hardie <[email-masked]>, Ned Freed <[email-masked]>
Subject: Re: [idn] FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

I seen John and Paul proposal but I have not seen Michel. Is there a 
draft that I can read up?

ps: I wont be able to join the meeting but I am interested in the subject.

-James Seng

Patrik F�ltstr�m wrote:

> At the IETF in Minneapolis, there will be a BOF on Internationalized 
> Email Addresses (IEA).
> 
> It is *preliminary* on the agenda on Monday, November 10, 2003 at 
> 1530-1730.
> 
> Chairs:  Pete Resnick, Patrik F�ltstr�m
> Mailing list:[email-masked] (other salient lists include [email-masked])
> Agenda:
> 
> Agenda Bashing (Chairs)                5 min.
> Topic Introduction (Chairs)           10 min.
> Proposals
>   IDNA-Based (Paul Hoffman)           15 min.
>   Infrastructure-Based (John Klensin) 15 min.
>   IRI-Based (Michel Suignard)         15 min.
> 
> Discussion                            60 min.
> 
> Topics for discussion:
> 
>   Are there other solutions which have been specified?
> 
>   The solutions present the problem at different scopes;
> 
>      Where should the IETF tackle it?
> 
>      Are some short-term, and other long-term?
> 
>      Can the solutions be staged or co-exist?
> 
>      If staged, how to migrate from one to another?
> 
>   What are the next steps for the IETF?
> 
> 
> NB:  This BoF is exploratory in nature, and it is not intended that the 
> IETF will finalize a decision in this venue.  It was proposed to foster 
> a community discussion, not charter a working group or pick a winner. If 
> further work is required, step one would be identifying individuals 
> willing to carry that work forward.
> 
> Reading material:
>   draft-hoffman-imaa-03.txt
>   draft-klensin-emailaddr-i18n-01.txt
>   draft-duerst-iri-04.txt
> 
> Pete and myself hope people will come with a lot of constructive 
> comments and ideas.
> 
>         Patrik, co-chair of the bof
> 
> 
> 
> 
> 

Date: Mon, 27 Oct 2003 11:10:55 -0800 (PST)
From: Mark Crispin <[email-masked]>
To: Keith Moore <[email-masked]>
cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

On Mon, 27 Oct 2003, Keith Moore wrote:
> Thanks for taking a stab at a problem statement.  I'd like to drill down
> on this just a bit.
> What is the source of the "growing need"?  Is it:
> [snip]

I agree that this needs to be stated, but someone other than me will have
to do it.

I believe that the primary push for this functionality comes from regions
which use Latin alphabetics with diacriticals; and that most individuals
in regions which do not use Latin script are accept the use of Latin
script for multinational interchange.  In many regions where Latin
diacriticals are used, there is no acceptable transform of a surname to a
form that does not use diacriticals.  Simply omitting the diacritical
causes (at least to the inhabitants of those regions) a misspelling.

This set of beliefs naturally biases how I approach the problem.  The
problem statement must be free of bias, including mine.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Mon, 27 Oct 2003 13:44:03 -0500
From: Keith Moore <[email-masked]>
To: Mark Crispin <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

Mark,

Thanks for taking a stab at a problem statement.  I'd like to drill down
on this just a bit.

What is the source of the "growing need"?  Is it:

a. for users of many languages (particularly those not using Latin alphabets)
   email addresses are difficult to remember
b. for users of many languages (particularly those not using Latin alphabets)
   email addresses are difficult to transcribe or type
c. users want to use their names in email addresses
d. users are confused by apparently arbitrary restrictions on use of 
   characters in email addresses, and this leads to mistakes
e. on computer systems employing non-ASCII names for other purposes (e.g.
   login or account names) these do not map well to ASCII email addresses

or something else that I don't see?

> As presently constituted, email addresses are limited to the 26 Latin
> alphabetics, 10 digits, and a limited number of special characters in
> the ASCII character set.  There is a growing need to use additional
> characters, specifically Latin characters with diacriticals and
> non-Latin characters, in email addresses to better serve the needs of
> the multi-national Internet community.  However, the restrictions of
> ASCII email addresses have served as a "lingua franca" since everybody
> can enter ASCII email addresses, and there is an ongoing need for this
> as well.  The problem to be solved is the resolution of these two
> needs.

Date: Mon, 27 Oct 2003 09:30:46 -0800
From: [email-masked] (WJCarpenter)
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

mc> As presently constituted, email addresses are limited to the 26
mc> Latin alphabetics, 10 digits, and a limited number of special
mc> characters in the ASCII character set.  There is a growing need to

upper and lower case alphabetics
-- 
[email-masked] (WJCarpenter)    PGP 0x91865119
38 95 1B 69 C9 C6 3D 25    73 46 32 04 69 D6 ED F3

Date: Mon, 27 Oct 2003 09:13:29 -0800 (PST)
From: Mark Crispin <[email-masked]>
To: Keith Moore <[email-masked]>
cc: Dave Crocker <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

On Mon, 27 Oct 2003, Keith Moore wrote:
> what problem are we trying to solve here?

I agree with Keith.  This isn't to say that I dispute that there is a
problem to be solved -- indeed, I think that the problem is apparent to
all -- but we must have a problem statement that we all agree upon before
we even think about solutions.

I don't think that references to drafts of proposed solutions suffice as a
problem statement.  Leaving aside questions of possible bias (= present a
problem in such a way that this is the obvious best solution), having the
problem statement in a draft (which by its nature is an ephemeral
document) muddies the issues.

The problem statement should consist of a single paragraph (and preferably
in one or two sentences), separate from any proposed solution, and stated
in a charter which is approved by everyone.

Here's a start at such a statement:

As presently constituted, email addresses are limited to the 26 Latin
alphabetics, 10 digits, and a limited number of special characters in the
ASCII character set.  There is a growing need to use additional
characters, specifically Latin characters with diacriticals and non-Latin
characters, in email addresses to better serve the needs of the
multi-national Internet community.  However, the restrictions of ASCII
email addresses have served as a "lingua franca" since everybody can enter
ASCII email addresses, and there is an ongoing need for this as well.  The
problem to be solved is the resolution of these two needs.

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Mon, 27 Oct 2003 12:00:01 -0500
From: Marc Blanchet <[email-masked]>
To: Keith Moore <[email-masked]>, Dave Crocker <[email-masked]>
cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

-- Monday, October 27, 2003 10:52:22 -0500 Keith Moore <[email-masked]>
wrote/a ecrit:

>> PF>    What are the next steps for the IETF?
>> 
>> Would it help to have a draft charter for the meeting?  
> 
> let's back up a step further.
> 
> what problem are we trying to solve here?

to me, that (problem we are trying to solve) would be part of the
introduction in the charter...

so I guess some initial proposal for:
- what are we trying to solve
- what would be the way to solve it

would be a good starting point together with the "state-of-the-art"
presentations.

Marc.

> 
> Keith

------------------------------------------
Marc Blanchet
Hexago
tel: +1-418-266-5533x225
------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------

Date: Mon, 27 Oct 2003 10:37:21 -0600
To: Keith Moore <[email-masked]>
From: Pete Resnick <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Cc: Dave Crocker <[email-masked]>, [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Sender: [email-masked]

On 10/27/03 at 10:52 AM -0500, Keith Moore wrote:

>>DC: Would it help to have a draft charter for the meeting?

As was mentioned in the draft agenda at 
<http://www.ietf.org/ietf/03nov/iea.txt>, we want to simply start the 
discussion, not immediately attempt to charter a working group.

>let's back up a step further.
>
>what problem are we trying to solve here?

Please have a look at draft-hoffman-imaa, 
draft-klensin-emailaddr-i18n, and draft-duerst-iri. Certainly the 
first two have very explicit descriptions of the problem.

pr
-- 
Pete Resnick <http://wwww.qualcomm.com/~presnick/>
QUALCOMM Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

Date: Mon, 27 Oct 2003 10:52:22 -0500
From: Keith Moore <[email-masked]>
To: Dave Crocker <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

> PF>    What are the next steps for the IETF?
> 
> Would it help to have a draft charter for the meeting?  

let's back up a step further.

what problem are we trying to solve here?

Keith

Date: Mon, 27 Oct 2003 07:41:11 -0800
From: Dave Crocker <[email-masked]>
Organization: Brandenburg InternetWorking
To: =?ISO-8859-1?B?UGF0cmlrIEbkbHRzdHL2bQ==?= <[email-masked]>
CC: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, Pete Resnick <[email-masked]>, Ted Hardie <[email-masked]>, Ned Freed <[email-masked]>
Subject: Re: FYI: BOF on Internationalized Email Addresses (IEA)
Sender: [email-masked]

Patrik,

Thanks for putting this BOF together.

PF>       Where should the IETF tackle it?

I am not sure I understand this question.  Please clarify.

PF>    What are the next steps for the IETF?

Would it help to have a draft charter for the meeting?  (I realize that the
presence of such different specifications makes a charter at least a bit
challenging, but it seems to help to have a draft, to make things concrete.)

d/
--
 Dave Crocker <dcrocker-at-brandenburg-dot-com>
 Brandenburg InternetWorking <www.brandenburg.com>
 Sunnyvale, CA  USA <tel:+1.408.246.8253>

Cc: Pete Resnick <[email-masked]>, Ted Hardie <[email-masked]>, Ned Freed <[email-masked]>
From: =?ISO-8859-1?Q?Patrik_F=E4ltstr=F6m?= <[email-masked]>
Subject: FYI: BOF on Internationalized Email Addresses (IEA)
Date: Sun, 26 Oct 2003 20:55:08 +0100
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Sender: [email-masked]

At the IETF in Minneapolis, there will be a BOF on Internationalized 
Email Addresses (IEA).

It is *preliminary* on the agenda on Monday, November 10, 2003 at 
1530-1730.

Chairs:  Pete Resnick, Patrik F�ltstr�m
Mailing list:[email-masked] (other salient lists include [email-masked])
Agenda:

Agenda Bashing (Chairs)                5 min.
Topic Introduction (Chairs)           10 min.
Proposals
   IDNA-Based (Paul Hoffman)           15 min.
   Infrastructure-Based (John Klensin) 15 min.
   IRI-Based (Michel Suignard)         15 min.

Discussion                            60 min.

Topics for discussion:

   Are there other solutions which have been specified?

   The solutions present the problem at different scopes;

      Where should the IETF tackle it?

      Are some short-term, and other long-term?

      Can the solutions be staged or co-exist?

      If staged, how to migrate from one to another?

   What are the next steps for the IETF?

NB:  This BoF is exploratory in nature, and it is not intended that the 
IETF will finalize a decision in this venue.  It was proposed to foster 
a community discussion, not charter a working group or pick a winner. 
If further work is required, step one would be identifying individuals 
willing to carry that work forward.

Reading material:
   draft-hoffman-imaa-03.txt
   draft-klensin-emailaddr-i18n-01.txt
   draft-duerst-iri-04.txt

Pete and myself hope people will come with a lot of constructive 
comments and ideas.

         Patrik, co-chair of the bof

To: IETF-Announce: ;
Cc: [email-masked]
From: [email-masked]
Reply-to: [email-masked]
Subject: I-D ACTION:draft-siemborski-rfc1734bis-00.txt
Date: Fri, 10 Oct 2003 15:38:36 -0400
Sender: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: POP3 SASL Authentication Mechanism
	Author(s)	: R. Siemborski
	Filename	: draft-siemborski-rfc1734bis-00.txt
	Pages		: 11
	Date		: 2003-10-10
	
This document defines a profile of the Simple Authentication and
Security Layer (SASL) for the Post Office Protocol (POP3).	This
extension allows a POP3 client to indicate an authentication
mechanism to the server, perform an authentication protocol
exchange, and optionally negotiate a security layer for subsequent
protocol interactions during this session.

This document obsoletes RFC 1734 and replaces it as a Proposed
Standard.  It also updates information contained in Section 6.3 of
RFC 2449.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-siemborski-rfc1734bis-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-siemborski-rfc1734bis-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-siemborski-rfc1734bis-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-siemborski-rfc1734bis-00.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-siemborski-rfc1734bis-00.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--